## gstreamer0.10-ffmpeg 0.10.9-1

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-1) unstable; urgency=low

  * New upstream release, 'Shooting the moon'.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 18:14:25 +0200

gstreamer0.10-ffmpeg (0.10.8.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update build dependencies.
    + debian/patches/03_disable_theoradec.patch,
      debian/patches/04_fix_duration_calculation.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Sep 2009 13:12:57 +0200

gstreamer0.10-ffmpeg (0.10.8-2) unstable; urgency=low

  * debian/patch/03_disable_theoradec.patch
    + Added, disable the ffmpeg theora decoder as it's broken.
  * debian/patches/04_fix_duration_calculation.patch
    + Added, fix the duration calculation of a buffer for which ticks_per_frame
    isn't 1 such as H264.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 09 Aug 2009 10:00:05 +0100

gstreamer0.10-ffmpeg (0.10.8-1) unstable; urgency=low

  * New upstream release, 'Brilliant in the morning':
    + debian/patches/03_swfdec-hang.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Updated Standards-Version to 3.8.2.
    + Fix section and priority of the debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jun 2009 11:30:37 +0200

gstreamer0.10-ffmpeg (0.10.7.2-2) experimental; urgency=low

  * debian/patches/02_plugin-dependencies.patch:
    + Add the ffmpeg libraries as plugin dependencies. This makes sure that
      the list of encoders/decoders/muxers/demuxers is updated in the GStreamer
      registry whenever ffmpeg is updated. This is especially useful if someone
      installs an unstripped ffmpeg.
  * debian/patches/03_swfdec-hang.patch:
    + Fix hanging of swfdec on YouTube and a lot of other websites.
      Patch from upstream bugzilla (Closes: #533111).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2009 18:57:29 +0200

gstreamer0.10-ffmpeg (0.10.7.2-1) experimental; urgency=low

  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Dropped, it's already upstream since 0.10.7.
  * New upstream pre-release.
  * debian/control:
    + Update Standards-Version to 3.8.1, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Jun 2009 17:46:54 +0200

gstreamer0.10-ffmpeg (0.10.7-1) unstable; urgency=low

  * New upstream release, 'Some high ground is not worth taking'.
  * debian/control,
    debian/rules:
    + Add a debug package.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Mar 2009 09:35:27 +0100

gstreamer0.10-ffmpeg (0.10.6.2-1) unstable; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update GStreamer build dependencies to >= 0.10.22.
    + debian/patches/02_demuxer-seek-fix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Mar 2009 10:09:05 +0100

gstreamer0.10-ffmpeg (0.10.6-3) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Feb 2009 12:24:07 +0100

gstreamer0.10-ffmpeg (0.10.6-2) experimental; urgency=low

  * debian/patches/02_demuxer-seek-fix.patch:
    + Patch from upstream GIT to fix seeking in the demuxers.
      This was broken by one of the ffmpeg updates.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Feb 2009 14:42:10 +0100

gstreamer0.10-ffmpeg (0.10.6-1) experimental; urgency=low

  * New upstream release, 'A little itching in our bones'.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Nov 2008 08:17:45 +0100

gstreamer0.10-ffmpeg (0.10.5.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_libswscale-typo.patch,
      debian/patches/02_libswscale-include.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Nov 2008 08:47:41 +0100

gstreamer0.10-ffmpeg (0.10.5.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_new-ffmpeg.patch,
      debian/patches/03_h264-codec-data-escaping.patch,
      debian/patches/04_h264-frame-reordering.patch:
      - Dropped, merged upstream.
    + Ported ffvideoscale to new libswscale (Closes: #487766).
  * debian/control:
    + Build depend on latest ffmpeg (Closes: #505009).
  * debian/patches/02_libswscale-typo.patch:
    + Fix typo in libswscale configure check.
  * debian/patches/03_libswscale-include.patch:
    + Fix swscale.h include path.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Nov 2008 15:09:58 +0100

gstreamer0.10-ffmpeg (0.10.5-3) experimental; urgency=low

  * No change rebuild to get all build dependencies listed in the
    generated .dsc file (Closes: #504130).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Nov 2008 10:36:56 +0100

gstreamer0.10-ffmpeg (0.10.5-2) experimental; urgency=low

  * debian/control:
    + Build depend on newer ffmpeg snapshot from experimental for
      new features.
  * debian/patches/02_old-ffmpeg.patch,
    debian/patches/02_new-ffmpeg.patch:
    + Patch from upstream CVS to work with the new ffmpeg snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Oct 2008 12:04:18 +0100

gstreamer0.10-ffmpeg (0.10.5-1) experimental; urgency=low

  * New upstream release, 'This little piggy went to market'.
  * debian/patches/03_h264-codec-data-escaping.patch:
    + Patch from upstream CVS to escape the private h264 codec data before
      passing it to ffmpeg as ffmpeg requires this while GStreamer doesn't.
  * debian/patches/04_h264-frame-reordering.patch:
    + Patch from upstream CVS to fix decoding of h264 when the upstream elements
      provide reordered frames.
  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Disable libvorbis and libtheora based encoders. The ones provided by
      GStreamer directly are working much better.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Oct 2008 11:39:05 +0200

gstreamer0.10-ffmpeg (0.10.4.2-1) experimental; urgency=low

  * New upstream pre-release:

