## gstreamer0.10-ffmpeg 0.10.9-2maemo1

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-2maemo1) unstable; urgency=low

  * Optify for maemo

 -- Zaheer Merali <zaheermerali@gmail.com>  Thu, 05 Nov 2009 21:42:43 +0000
