=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,9 @@
 	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.la
 	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.a
 
+binary-predeb/gstreamer0.10-ffmpeg::
+	maemo-optify
+
 common-binary-fixup-arch::
 	dh_gstscancodecs
