## gstreamer0.10-ffmpeg 0.10.9-2maemo2

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-2maemo2) unstable; urgency=low

  * drop rank of decoders, so nokia dsp ones get preference

 -- Zaheer Merali <zaheermerali@gmail.com>  Mon, 30 Nov 2009 14:03:00 +0000
