=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: gstreamer0.10-ffmpeg
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
-Uploaders: David I. Lehn <dlehn@debian.org>,
-           Loic Minier <lool@dooz.org>,
-           Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Zaheer Abbas Merali <zaheermerali@gmail.com>
 Build-Depends: debhelper (>= 5),
                cdbs (>= 0.4.8),
                autotools-dev,
@@ -16,7 +12,8 @@
                libgstreamer-plugins-base0.10-dev (>= 0.10.22),
                liboil0.3-dev (>= 0.3.6),
                gstreamer-tools (>= 0.10.14),
-               libbz2-dev
+               libbz2-dev,
+               maemo-optify
 Standards-Version: 3.8.3
 
 Package: gstreamer0.10-ffmpeg
