## gstreamer0.10-ffmpeg 0.10.11

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.11-1) experimental; urgency=low

  * New upstream stable release, "Feeding trolls is strictly forbidden".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 21:41:07 +0200

gstreamer0.10-ffmpeg (0.10.10.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 15:46:38 +0200

gstreamer0.10-ffmpeg (0.10.10.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:50:22 +0200

gstreamer0.10-ffmpeg (0.10.10.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 13:07:07 +0200

gstreamer0.10-ffmpeg (0.10.10.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control,
      debian/patches/01_new-codec-ids.patch,
      debian/patches/03_too-new-codec-ids.patch:
      - Require ffmpeg 0.6 and drop now obsolete patches.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 11:34:36 +0200

gstreamer0.10-ffmpeg (0.10.10-1) unstable; urgency=low

  * New upstream stable release, "It's The Bomb".

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 10:08:54 +0000

gstreamer0.10-ffmpeg (0.10.9.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:30:58 +0100

gstreamer0.10-ffmpeg (0.10.9.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/03_restricted-caps.patch,
      debian/patches/04_ignore-vdpau.patch:
      - Dropped, merged upstream.
  * debian/patches/03_too-new-codec-ids.patch:
    + Disable some ffmpeg codec IDs because Debian's
      ffmpeg is once again too old...

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 18:14:59 +0100

gstreamer0.10-ffmpeg (0.10.9-3) unstable; urgency=low

  * debian/patches/04_ignore-vdpau.patch:
    + Ignore all VDPAU decoders (Closes: #560196).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Dec 2009 14:56:43 +0100

gstreamer0.10-ffmpeg (0.10.9-2) unstable; urgency=low

  * debian/patches/03_restricted-caps.patch
    + Added. Make sure the video caps in the negotiation are always as
      restricted as possible.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Nov 2009 21:24:26 +0000
