=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: gstreamer0.10-ffmpeg
 Section: libs
 Priority: optional
-Maintainer: Zaheer Abbas Merali <zaheermerali@gmail.com>
-Build-Depends: debhelper (>= 5),
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Uploaders: David I. Lehn <dlehn@debian.org>,
+           Loic Minier <lool@dooz.org>,
+           Sebastian Dröge <slomo@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 7),
                cdbs (>= 0.4.8),
                autotools-dev,
                zlib1g-dev,
@@ -10,11 +14,15 @@
                pkg-config (>= 0.11.0),
                libgstreamer0.10-dev (>= 0.10.22),
                libgstreamer-plugins-base0.10-dev (>= 0.10.22),
-               liboil0.3-dev (>= 0.3.6),
+               liborc-0.4-dev (>= 0.4.5),
                gstreamer-tools (>= 0.10.14),
+               libavcodec-dev (>= 4:0.6),
+               libpostproc-dev (>= 4:0.6),
+               libavformat-dev (>= 4:0.6),
+               libswscale-dev (>= 4:0.6),
                libbz2-dev,
-               maemo-optify
-Standards-Version: 3.8.3
+               lsb-release
+Standards-Version: 3.8.4
 
 Package: gstreamer0.10-ffmpeg
 Architecture: any
